%define debug_package %{nil}
%define src_install_dir /usr/src/%{name}

Name:           bazel-gazelle
Version:        0.24.0
Release:        1
Summary:        Generator of Bazel build files for Go projects
License:        Apache-2.0
URL:            https://github.com/bazelbuild/%{name}
Source:         https://mirror.bazel.build/github.com/bazelbuild/%{name}/releases/download/v%{version}/%{name}-v%{version}.tar.gz

%description
Gazelle is a generator of Bazel build files for Go projects. It can create new
BUILD.bazel files for a project that follows "go build" conventions, and it can
update existing build files to include new sources, dependencies, and options.
Gazelle may be run by Bazel using the gazelle rule, or it can be run as a
command line tool. Gazelle can also be run in an external repository as part of
the go_repository rule. Gazelle may be extended to support new languages and
custom rule sets.

%package source
Summary:        Source code of bazel-gazelle
BuildArch:      noarch

%description source
Gazelle is a generator of Bazel build files for Go projects. It can create new
BUILD.bazel files for a project that follows "go build" conventions, and it can
update existing build files to include new sources, dependencies, and options.
Gazelle may be run by Bazel using the gazelle rule, or it can be run as a
command line tool. Gazelle can also be run in an external repository as part of
the go_repository rule. Gazelle may be extended to support new languages and
custom rule sets.

This package contains source code for Gazelle.

%prep
%setup -q -c -n %{name}-%{version}

%build

%install

mkdir -p %{buildroot}%{src_install_dir}
tar -xf %{SOURCE0} --strip-components=1 -C %{buildroot}%{src_install_dir}

%files
%license LICENSE
%doc README.rst

%files source
%{src_install_dir}

%changelog
* Mon Apr 7 2025 fuanan <fuanan3@h-partners.com> - 0.24.0-1
- package init
